Categories:
  - Security
  - Internet
License: BSD-3-Clause
WebSite: https://www.torproject.org/docs/android.html
SourceCode: https://gitweb.torproject.org/orbot.git
IssueTracker: https://dev.guardianproject.info/projects/orbot/issues
Translation: https://hosted.weblate.org/projects/guardianproject/orbot
Donate: https://www.torproject.org/donate/donate.html.en
FlattrID: '5649'
Liberapay: GuardianProject
Bitcoin: 1Fi5xUHiAPRKxHvyUGVFGt9extBe8Srdbk

AutoName: Orbot
Description: |
    Tor is both software and an open network that helps you defend against network
    surveillance that threatens personal freedom and privacy, confidential business
    activities and relationships.

    Orbot allows access to Tor by accessing a local SOCKS or HTTP proxy.
    On a rooted device, the proxying can be completely transparent
    i.e. the app that accesses the network need not be aware of the
    proxy's existence; you can choose which apps go via the proxy in the
    settings.

    If you don't have root access, there are some apps that are designed to work
    closely with tor or allow proxied connections: https://f-droid.org/packages/acr.browser.lightning and
    https://f-droid.org/packages/org.mariotaku.twidere. There is also a proxy configurator addon for Firefox
    called <a href="https://github.com/guardianproject/ProxyMob/downloads">ProxyMob</a> (not yet
    available from the Mozilla addon site).

RepoType: git
Repo: https://git.torproject.org/orbot.git

Builds:
  - versionName: 0.2.3.23-rc-1.0.11-RC5-test2
    versionCode: 51
    commit: ff38bf4e5
    submodules: true
    srclibs:
      - ActionBarSherlock@4.1.0
    prebuild:
      - sed -i 's@\(android.library.reference.1=\).*@\1$$ActionBarSherlock$$@' project.properties
      - export NDK_BASE=$$NDK$$
      - export PATH=$PATH:$$NDK$$/toolchain/bin
      - sed -i 's/ndk-build/\$(NDK_BASE)\/ndk-build/g' external/Makefile
      - make -C external

  - versionName: 13.0.5
    versionCode: 70
    commit: 13.0.5
    submodules: true
    patch:
      - buildfixes.patch
    rm:
      - libs
    build: NDK_BASE=$$NDK$$ make -C external

  - versionName: 13.0.6-RC-1
    versionCode: 79
    commit: 13.0.6-RC-1
    submodules: true
    rm:
      - libs
      - external/superuser-commands/RootCommands-Demo/libs
    prebuild:
      - echo 'target=android-17' >> external/superuser-commands/RootCommands-Library/project.properties
      - mkdir libs
    build: NDK_BASE=$$NDK$$ make -C external

  - versionName: 13.0.6-RC-2
    versionCode: 80
    commit: 13.0.6-RC-2
    submodules: true
    rm:
      - libs/jtorctl.jar
      - external/superuser-commands/RootCommands-Demo/libs
    prebuild: echo 'target=android-17' >> external/superuser-commands/RootCommands-Library/project.properties
    build: NDK_BASE=$$NDK$$ make -C external

  - versionName: 13.0.7
    versionCode: 86
    commit: 13.0.7
    submodules: true
    rm:
      - libs/jtorctl.jar
      - external/superuser-commands/RootCommands-Demo/libs
      - res/raw/tor.mp3
      - res/raw/obfsproxy.mp3
      - res/raw/privoxy.mp3
      - res/raw/xtables.mp3
    prebuild: echo 'target=android-17' >> external/superuser-commands/RootCommands-Library/project.properties
    build: NDK_BASE=$$NDK$$ make -C external

  - versionName: 14.0.0
    versionCode: 100
    commit: 14.0.0
    submodules: true
    rm:
      - libs/jtorctl.jar
      - external/superuser-commands/RootCommands-Demo/libs
      - res/raw/tor.mp3
      - res/raw/obfsproxy.mp3
      - res/raw/privoxy.mp3
      - res/raw/xtables.mp3
    prebuild: echo 'target=android-17' >> external/superuser-commands/RootCommands-Library/project.properties
    build: NDK_BASE=$$NDK$$ make -C external

  - versionName: 14.0.1
    versionCode: 101
    commit: 14.0.1
    submodules: true
    rm:
      - libs/jtorctl.jar
      - external/superuser-commands/RootCommands-Demo
    prebuild: echo 'target=android-17' >> external/superuser-commands/RootCommands-Library/project.properties
    build: NDK_BASE=$$NDK$$ make -C external

  - versionName: 14.0.3.1
    versionCode: 105
    commit: 14.0.3.1
    submodules: true
    rm:
      - libs/jtorctl.jar
      - external/superuser-commands/RootCommands-Demo
    prebuild: echo 'target=android-17' >> external/superuser-commands/RootCommands-Library/project.properties
    build: NDK_BASE=$$NDK$$ make -C external

  - versionName: 14.0.4
    versionCode: 106
    commit: 14.0.4
    submodules: true
    rm:
      - libs/jtorctl.jar
      - external/superuser-commands/RootCommands-Demo
    prebuild: echo 'target=android-17' >> external/superuser-commands/RootCommands-Library/project.properties
    build: NDK_BASE=$$NDK$$ make -C external

  - versionName: 14.0.4.1
    versionCode: 107
    commit: 14.0.4.1
    submodules: true
    rm:
      - libs/jtorctl.jar
      - external/superuser-commands/RootCommands-Demo
    prebuild: echo 'target=android-17' >> external/superuser-commands/RootCommands-Library/project.properties
    build: NDK_BASE=$$NDK$$ make -C external

  - versionName: 14.0.4.3
    versionCode: 109
    commit: 14.0.4.3
    submodules: true
    rm:
      - libs/jtorctl.jar
      - external/superuser-commands/RootCommands-Demo
    prebuild: echo 'target=android-17' >> external/superuser-commands/RootCommands-Library/project.properties
    build: NDK_BASE=$$NDK$$ make -C external

  - versionName: 14.0.5
    versionCode: 113
    commit: 14.0.5
    submodules: true
    rm:
      - libs/jtorctl.jar
      - external/superuser-commands/RootCommands-Demo
    prebuild: echo 'target=android-17' >> external/superuser-commands/RootCommands-Library/project.properties
    build: NDK_BASE=$$NDK$$ make -C external

  - versionName: 14.0.5.1
    versionCode: 114
    commit: 14.0.5.1
    submodules: true
    rm:
      - libs/jtorctl.jar
      - external/superuser-commands/RootCommands-Demo
    prebuild: echo 'target=android-17' >> external/superuser-commands/RootCommands-Library/project.properties
    build: NDK_BASE=$$NDK$$ make -C external

  - versionName: 14.0.5.2
    versionCode: 115
    commit: 14.0.5.2
    submodules: true
    rm:
      - libs/jtorctl.jar
      - external/superuser-commands/RootCommands-Demo
    prebuild: echo 'target=android-17' >> external/superuser-commands/RootCommands-Library/project.properties
    build: NDK_BASE=$$NDK$$ make -C external

  - versionName: 14.0.5.3
    versionCode: 116
    commit: 14.0.5.3
    submodules: true
    rm:
      - libs/jtorctl.jar
      - external/superuser-commands/RootCommands-Demo
    prebuild: echo 'target=android-17' >> external/superuser-commands/RootCommands-Library/project.properties
    build: NDK_BASE=$$NDK$$ make -C external

  - versionName: 14.0.6
    versionCode: 118
    commit: 14.0.6
    submodules: true
    rm:
      - libs/jtorctl.jar
      - external/superuser-commands/RootCommands-Demo
    prebuild: echo 'target=android-17' >> external/superuser-commands/RootCommands-Library/project.properties
    build: NDK_BASE=$$NDK$$ make -C external

  - versionName: 14.0.7.1
    versionCode: 120
    commit: 14.0.7.1
    submodules: true
    rm:
      - libs/jtorctl.jar
      - external/superuser-commands/RootCommands-Demo
    prebuild: echo 'target=android-17' >> external/superuser-commands/RootCommands-Library/project.properties
    build: NDK_BASE=$$NDK$$ make -C external

  - versionName: 14.0.7.2
    versionCode: 121
    commit: 14.0.7.2
    submodules: true
    rm:
      - libs/jtorctl.jar
      - external/superuser-commands/RootCommands-Demo
    prebuild: echo 'target=android-17' >> external/superuser-commands/RootCommands-Library/project.properties
    build: NDK_BASE=$$NDK$$ make -C external

  - versionName: 14.0.8
    versionCode: 123
    commit: 14.0.8
    submodules: true
    rm:
      - libs/jtorctl.jar
      - external/superuser-commands/RootCommands-Demo
    prebuild: echo 'target=android-17' >> external/superuser-commands/RootCommands-Library/project.properties
    build: NDK_BASE=$$NDK$$ make -C external

  - versionName: 14.0.8.1
    versionCode: 124
    commit: 14.0.8.1
    submodules: true
    rm:
      - libs/jtorctl.jar
      - external/superuser-commands/RootCommands-Demo
    prebuild: echo 'target=android-17' >> external/superuser-commands/RootCommands-Library/project.properties
    build: NDK_BASE=$$NDK$$ make -C external

  - versionName: 14.1.1
    versionCode: 128
    disable: build changed
    commit: 14.1.1
    submodules: true
    rm:
      - libs/jtorctl.jar
      - external/superuser-commands/RootCommands-Demo
    prebuild: echo 'target=android-17' >> external/superuser-commands/RootCommands-Library/project.properties
    build: NDK_BASE=$$NDK$$ make -C external

  - versionName: 14.1.3-PIE
    versionCode: 130
    disable: no tag
    commit: 14.1.3-PIE
    submodules: true
    rm:
      - libs/jtorctl.jar
      - external/superuser-commands/RootCommands-Demo
    prebuild: echo 'target=android-17' >> external/superuser-commands/RootCommands-Library/project.properties
    build: NDK_BASE=$$NDK$$ make -C external

  - versionName: 14.1.4-noPIE
    versionCode: 132
    commit: v14.1.4
    submodules: true
    init:
      - git cherry-pick -n 7ee0622a5eaafba284dac81fe58aeb15a478c9c2
      - git submodule update --init
    rm:
      - libs/jtorctl.jar
      - external/superuser-commands/RootCommands-Demo
    prebuild:
      - mv AndroidManifest.KITKAT_AND_LOWER.xml AndroidManifest.xml
      - echo 'target=android-17' >> external/superuser-commands/RootCommands-Library/project.properties
    build: NDK_BASE=$$NDK$$ make -C external

  - versionName: 14.1.4-PIE
    versionCode: 133
    commit: v14.1.4
    submodules: true
    init:
      - git cherry-pick -n 7ee0622a5eaafba284dac81fe58aeb15a478c9c2
      - git submodule update --init
    forcevercode: true
    rm:
      - libs/jtorctl.jar
      - external/superuser-commands/RootCommands-Demo
    prebuild: echo 'target=android-17' >> external/superuser-commands/RootCommands-Library/project.properties
    build: NDK_BASE=$$NDK$$ make -C external PIEFLAGS="-fPIE -pie"

  - versionName: 15.0.1-RC-1-noPIE
    versionCode: 15012101
    disable: archive policy
    commit: 15.0.1-RC-1
    submodules: true
    patch:
      - nobridge.diff
    forceversion: true
    forcevercode: true
    rm:
      - libs/
      - external/superuser-commands/RootCommands-Demo
      - external/pluto/plugins/meek/assets/meek-client
      - external/pluto/plugins/obfs4/assets/obfs4proxy
      - res/raw/meek.mp3
      - res/raw/obfs4proxy.mp3
    prebuild:
      - echo 'target=android-17' >> external/superuser-commands/RootCommands-Library/project.properties
      - sed -i -e '/APP_ABI/ s/:=.*/:= armeabi armeabi-v7a/' jni/Application.mk
      - sed -i -e 's#uses-sdk.*#uses-sdk android:minSdkVersion="9" android:maxSdkVersion="15"
        android:targetSdkVersion="15"/>#' AndroidManifest.xml
    build: NDK_BASE=$$NDK$$ make -C external APP_ABI=armeabi PIEFLAGS=""
    buildjni:
      - yes
    ndk: r12b

  - versionName: 15.0.1-RC-1-noPIE
    versionCode: 15012102
    disable: archive policy
    commit: 15.0.1-RC-1
    submodules: true
    patch:
      - nobridge.diff
    forceversion: true
    forcevercode: true
    rm:
      - libs/
      - external/superuser-commands/RootCommands-Demo
      - external/pluto/plugins/meek/assets/meek-client
      - external/pluto/plugins/obfs4/assets/obfs4proxy
      - res/raw/meek.mp3
      - res/raw/obfs4proxy.mp3
    prebuild:
      - echo 'target=android-17' >> external/superuser-commands/RootCommands-Library/project.properties
      - sed -i -e '/APP_ABI/ s/:=.*/:= x86/' jni/Application.mk
      - sed -i -e 's#uses-sdk.*#uses-sdk android:minSdkVersion="9" android:maxSdkVersion="15"
        android:targetSdkVersion="15"/>#' AndroidManifest.xml
    build: NDK_BASE=$$NDK$$ make -C external APP_ABI=x86 PIEFLAGS=""
    buildjni:
      - yes
    ndk: r12b

  - versionName: 15.0.1-RC-1-noPIE
    versionCode: 15012103
    disable: archive policy
    commit: 15.0.1-RC-1
    submodules: true
    patch:
      - nobridge.diff
      - mipsfix.diff
    forceversion: true
    forcevercode: true
    rm:
      - libs/
      - external/superuser-commands/RootCommands-Demo
      - external/pluto/plugins/meek/assets/meek-client
      - external/pluto/plugins/obfs4/assets/obfs4proxy
      - res/raw/meek.mp3
      - res/raw/obfs4proxy.mp3
    prebuild:
      - echo 'target=android-17' >> external/superuser-commands/RootCommands-Library/project.properties
      - sed -i -e '/APP_ABI/ s/:=.*/:= mips/' jni/Application.mk
      - sed -i -e 's#uses-sdk.*#uses-sdk android:minSdkVersion="9" android:maxSdkVersion="15"
        android:targetSdkVersion="15"/>#' AndroidManifest.xml
    build: NDK_BASE=$$NDK$$ make -C external APP_ABI=mips PIEFLAGS=""
    buildjni:
      - yes
    ndk: r12b

  - versionName: 15.0.1-RC-1-PIE
    versionCode: 15012111
    disable: archive policy
    commit: 15.0.1-RC-1
    submodules: true
    forcevercode: true
    rm:
      - libs/
      - external/superuser-commands/RootCommands-Demo
      - external/pluto/plugins/meek/assets/meek-client
      - external/pluto/plugins/obfs4/assets/obfs4proxy
    prebuild:
      - echo 'target=android-17' >> external/superuser-commands/RootCommands-Library/project.properties
      - sed -i -e '/APP_ABI/ s/:=.*/:= armeabi armeabi-v7a/' jni/Application.mk
    build: NDK_BASE=$$NDK$$ make -C external APP_ABI=armeabi PIEFLAGS="-fPIE -pie"
    buildjni:
      - yes
    ndk: r12b

  - versionName: 15.0.1-RC-1-PIE
    versionCode: 15012112
    disable: archive policy
    commit: 15.0.1-RC-1
    submodules: true
    patch:
      - nobridge.diff
    forcevercode: true
    rm:
      - libs/
      - external/superuser-commands/RootCommands-Demo
      - external/pluto/plugins/meek/assets/meek-client
      - external/pluto/plugins/obfs4/assets/obfs4proxy
      - res/raw/meek.mp3
      - res/raw/obfs4proxy.mp3
    prebuild:
      - echo 'target=android-17' >> external/superuser-commands/RootCommands-Library/project.properties
      - sed -i -e '/APP_ABI/ s/:=.*/:= x86/' jni/Application.mk
    build: NDK_BASE=$$NDK$$ make -C external APP_ABI=x86 PIEFLAGS="-fPIE -pie"
    buildjni:
      - yes
    ndk: r12b

  - versionName: 15.0.1-RC-1-PIE
    versionCode: 15012113
    disable: archive policy
    commit: 15.0.1-RC-1
    submodules: true
    patch:
      - nobridge.diff
      - mipsfix.diff
    forcevercode: true
    rm:
      - libs/
      - external/superuser-commands/RootCommands-Demo
      - external/pluto/plugins/meek/assets/meek-client
      - external/pluto/plugins/obfs4/assets/obfs4proxy
      - res/raw/meek.mp3
      - res/raw/obfs4proxy.mp3
    prebuild:
      - echo 'target=android-17' >> external/superuser-commands/RootCommands-Library/project.properties
      - sed -i -e '/APP_ABI/ s/:=.*/:= mips/' jni/Application.mk
    build: NDK_BASE=$$NDK$$ make -C external APP_ABI=mips PIEFLAGS="-fPIE -pie"
    buildjni:
      - yes
    ndk: r12b

  - versionName: 15.0.1-RC-1-PIE
    versionCode: 15012114
    disable: archive policy
    commit: 15.0.1-RC-1
    submodules: true
    patch:
      - nobridge.diff
    forcevercode: true
    rm:
      - libs/
      - external/superuser-commands/RootCommands-Demo
      - external/pluto/plugins/meek/assets/meek-client
      - external/pluto/plugins/obfs4/assets/obfs4proxy
      - res/raw/meek.mp3
      - res/raw/obfs4proxy.mp3
    prebuild:
      - echo 'target=android-17' >> external/superuser-commands/RootCommands-Library/project.properties
      - sed -i -e '/APP_ABI/ s/:=.*/:= arm64-v8a/' jni/Application.mk
    build: NDK_BASE=$$NDK$$ make -C external APP_ABI=arm64-v8a PIEFLAGS="-fPIE -pie"
        NDK_PLATFORM_LEVEL=21 NDK_TOOLCHAIN_VERSION=4.9
    buildjni:
      - yes
    ndk: r12b

  - versionName: 15.0.1-RC-1-PIE
    versionCode: 15012115
    disable: "libcrypto.a(eng_rsax.o):eng_rsax.c:function e_rsax_bn_mod_exp: error:\
        \ undefined reference to 'mod_exp_512'"
    commit: 15.0.1-RC-1
    submodules: true
    patch:
      - nobridge.diff
    forcevercode: true
    rm:
      - libs/
      - external/superuser-commands/RootCommands-Demo
      - external/pluto/plugins/meek/assets/meek-client
      - external/pluto/plugins/obfs4/assets/obfs4proxy
      - res/raw/meek.mp3
      - res/raw/obfs4proxy.mp3
    prebuild:
      - echo 'target=android-17' >> external/superuser-commands/RootCommands-Library/project.properties
      - sed -i -e '/APP_ABI/ s/:=.*/:= x86_64/' jni/Application.mk
    build: NDK_BASE=$$NDK$$ make -C external APP_ABI=x86_64 PIEFLAGS="-fPIE -pie"
        NDK_PLATFORM_LEVEL=21 NDK_TOOLCHAIN_VERSION=4.9
    buildjni:
      - yes
    ndk: r12b

  - versionName: 15.0.1-RC-1-PIE
    versionCode: 15012116
    disable: archive policy
    commit: 15.0.1-RC-1
    submodules: true
    patch:
      - nobridge.diff
    forcevercode: true
    rm:
      - libs/
      - external/superuser-commands/RootCommands-Demo
      - external/pluto/plugins/meek/assets/meek-client
      - external/pluto/plugins/obfs4/assets/obfs4proxy
      - res/raw/meek.mp3
      - res/raw/obfs4proxy.mp3
    prebuild:
      - echo 'target=android-17' >> external/superuser-commands/RootCommands-Library/project.properties
      - sed -i -e '/APP_ABI/ s/:=.*/:= mips64/' jni/Application.mk
    build: NDK_BASE=$$NDK$$ make -C external APP_ABI=mips64 PIEFLAGS="-fPIE -pie"
        NDK_PLATFORM_LEVEL=21 NDK_TOOLCHAIN_VERSION=4.9
    buildjni:
      - yes
    ndk: r12b

  - versionName: 15.0.1-RC-2-noPIE
    versionCode: 15012201
    commit: 15.0.1-RC-2
    submodules: true
    patch:
      - nobridge.diff
    forceversion: true
    forcevercode: true
    rm:
      - libs/
      - external/superuser-commands/RootCommands-Demo
      - external/pluto/plugins/meek/assets/meek-client
      - external/pluto/plugins/obfs4/assets/obfs4proxy
      - res/raw/meek.mp3
      - res/raw/obfs4proxy.mp3
    prebuild:
      - echo 'target=android-17' >> external/superuser-commands/RootCommands-Library/project.properties
      - sed -i -e '/APP_ABI/ s/:=.*/:= armeabi armeabi-v7a/' jni/Application.mk
      - sed -i -e 's#uses-sdk.*#uses-sdk android:minSdkVersion="9" android:maxSdkVersion="15"
        android:targetSdkVersion="15"/>#' AndroidManifest.xml
    build: NDK_BASE=$$NDK$$ make -C external APP_ABI=armeabi PIEFLAGS=""
    buildjni:
      - yes
    ndk: r12b

  - versionName: 15.0.1-RC-2-noPIE
    versionCode: 15012202
    commit: 15.0.1-RC-2
    submodules: true
    patch:
      - nobridge.diff
    forceversion: true
    forcevercode: true
    rm:
      - libs/
      - external/superuser-commands/RootCommands-Demo
      - external/pluto/plugins/meek/assets/meek-client
      - external/pluto/plugins/obfs4/assets/obfs4proxy
      - res/raw/meek.mp3
      - res/raw/obfs4proxy.mp3
    prebuild:
      - echo 'target=android-17' >> external/superuser-commands/RootCommands-Library/project.properties
      - sed -i -e '/APP_ABI/ s/:=.*/:= x86/' jni/Application.mk
      - sed -i -e 's#uses-sdk.*#uses-sdk android:minSdkVersion="9" android:maxSdkVersion="15"
        android:targetSdkVersion="15"/>#' AndroidManifest.xml
    build: NDK_BASE=$$NDK$$ make -C external APP_ABI=x86 PIEFLAGS=""
    buildjni:
      - yes
    ndk: r12b

  - versionName: 15.0.1-RC-2-noPIE
    versionCode: 15012203
    commit: 15.0.1-RC-2
    submodules: true
    patch:
      - nobridge.diff
    forceversion: true
    forcevercode: true
    rm:
      - libs/
      - external/superuser-commands/RootCommands-Demo
      - external/pluto/plugins/meek/assets/meek-client
      - external/pluto/plugins/obfs4/assets/obfs4proxy
      - res/raw/meek.mp3
      - res/raw/obfs4proxy.mp3
    prebuild:
      - echo 'target=android-17' >> external/superuser-commands/RootCommands-Library/project.properties
      - sed -i -e '/APP_ABI/ s/:=.*/:= mips/' jni/Application.mk
      - sed -i -e 's#uses-sdk.*#uses-sdk android:minSdkVersion="9" android:maxSdkVersion="15"
        android:targetSdkVersion="15"/>#' AndroidManifest.xml
    build: NDK_BASE=$$NDK$$ make -C external APP_ABI=mips PIEFLAGS=""
    buildjni:
      - yes
    ndk: r12b

  - versionName: 15.0.1-RC-2-PIE
    versionCode: 15012211
    commit: 15.0.1-RC-2
    submodules: true
    forcevercode: true
    rm:
      - libs/
      - external/superuser-commands/RootCommands-Demo
      - external/pluto/plugins/meek/assets/meek-client
      - external/pluto/plugins/obfs4/assets/obfs4proxy
    prebuild:
      - echo 'target=android-17' >> external/superuser-commands/RootCommands-Library/project.properties
      - sed -i -e '/APP_ABI/ s/:=.*/:= armeabi armeabi-v7a/' jni/Application.mk
    build: NDK_BASE=$$NDK$$ make -C external APP_ABI=armeabi PIEFLAGS="-fPIE -pie"
    buildjni:
      - yes
    ndk: r12b

  - versionName: 15.0.1-RC-2-PIE
    versionCode: 15012212
    commit: 15.0.1-RC-2
    submodules: true
    patch:
      - nobridge.diff
    forcevercode: true
    rm:
      - libs/
      - external/superuser-commands/RootCommands-Demo
      - external/pluto/plugins/meek/assets/meek-client
      - external/pluto/plugins/obfs4/assets/obfs4proxy
      - res/raw/meek.mp3
      - res/raw/obfs4proxy.mp3
    prebuild:
      - echo 'target=android-17' >> external/superuser-commands/RootCommands-Library/project.properties
      - sed -i -e '/APP_ABI/ s/:=.*/:= x86/' jni/Application.mk
    build: NDK_BASE=$$NDK$$ make -C external APP_ABI=x86 PIEFLAGS="-fPIE -pie"
    buildjni:
      - yes
    ndk: r12b

  - versionName: 15.0.1-RC-2-PIE
    versionCode: 15012213
    commit: 15.0.1-RC-2
    submodules: true
    patch:
      - nobridge.diff
    forcevercode: true
    rm:
      - libs/
      - external/superuser-commands/RootCommands-Demo
      - external/pluto/plugins/meek/assets/meek-client
      - external/pluto/plugins/obfs4/assets/obfs4proxy
      - res/raw/meek.mp3
      - res/raw/obfs4proxy.mp3
    prebuild:
      - echo 'target=android-17' >> external/superuser-commands/RootCommands-Library/project.properties
      - sed -i -e '/APP_ABI/ s/:=.*/:= mips/' jni/Application.mk
    build: NDK_BASE=$$NDK$$ make -C external APP_ABI=mips PIEFLAGS="-fPIE -pie"
    buildjni:
      - yes
    ndk: r12b

  - versionName: 15.0.1-RC-2-PIE
    versionCode: 15012214
    commit: 15.0.1-RC-2
    submodules: true
    patch:
      - nobridge.diff
    forcevercode: true
    rm:
      - libs/
      - external/superuser-commands/RootCommands-Demo
      - external/pluto/plugins/meek/assets/meek-client
      - external/pluto/plugins/obfs4/assets/obfs4proxy
      - res/raw/meek.mp3
      - res/raw/obfs4proxy.mp3
    prebuild:
      - echo 'target=android-17' >> external/superuser-commands/RootCommands-Library/project.properties
      - sed -i -e '/APP_ABI/ s/:=.*/:= arm64-v8a/' jni/Application.mk
    build: NDK_BASE=$$NDK$$ make -C external APP_ABI=arm64-v8a PIEFLAGS="-fPIE -pie"
        NDK_PLATFORM_LEVEL=21 NDK_TOOLCHAIN_VERSION=4.9
    buildjni:
      - yes
    ndk: r12b

  - versionName: 15.0.1-RC-2-PIE
    versionCode: 15012215
    disable: "libcrypto.a(eng_rsax.o):eng_rsax.c:function e_rsax_bn_mod_exp: error:\
        \ undefined reference to 'mod_exp_512'"
    commit: 15.0.1-RC-2
    submodules: true
    patch:
      - nobridge.diff
    forcevercode: true
    rm:
      - libs/
      - external/superuser-commands/RootCommands-Demo
      - external/pluto/plugins/meek/assets/meek-client
      - external/pluto/plugins/obfs4/assets/obfs4proxy
      - res/raw/meek.mp3
      - res/raw/obfs4proxy.mp3
    prebuild:
      - echo 'target=android-17' >> external/superuser-commands/RootCommands-Library/project.properties
      - sed -i -e '/APP_ABI/ s/:=.*/:= x86_64/' jni/Application.mk
    build: NDK_BASE=$$NDK$$ make -C external APP_ABI=x86_64 PIEFLAGS="-fPIE -pie"
        NDK_PLATFORM_LEVEL=21 NDK_TOOLCHAIN_VERSION=4.9
    buildjni:
      - yes
    ndk: r12b

  - versionName: 15.0.1-RC-2-PIE
    versionCode: 15012216
    commit: 15.0.1-RC-2
    submodules: true
    patch:
      - nobridge.diff
    forcevercode: true
    rm:
      - libs/
      - external/superuser-commands/RootCommands-Demo
      - external/pluto/plugins/meek/assets/meek-client
      - external/pluto/plugins/obfs4/assets/obfs4proxy
      - res/raw/meek.mp3
      - res/raw/obfs4proxy.mp3
    prebuild:
      - echo 'target=android-17' >> external/superuser-commands/RootCommands-Library/project.properties
      - sed -i -e '/APP_ABI/ s/:=.*/:= mips64/' jni/Application.mk
    build: NDK_BASE=$$NDK$$ make -C external APP_ABI=mips64 PIEFLAGS="-fPIE -pie"
        NDK_PLATFORM_LEVEL=21 NDK_TOOLCHAIN_VERSION=4.9
    buildjni:
      - yes
    ndk: r12b

  - versionName: 15.0.1-RC-3-noPIE
    versionCode: 15012301
    commit: 15.0.1-RC-3
    submodules: true
    patch:
      - nobridge.diff
    forceversion: true
    forcevercode: true
    rm:
      - libs/
      - external/superuser-commands/RootCommands-Demo
      - external/pluto/plugins/meek/assets/meek-client
      - external/pluto/plugins/obfs4/assets/obfs4proxy
      - res/raw/meek.mp3
      - res/raw/obfs4proxy.mp3
    prebuild:
      - echo 'target=android-17' >> external/superuser-commands/RootCommands-Library/project.properties
      - sed -i -e '/APP_ABI/ s/:=.*/:= armeabi armeabi-v7a/' jni/Application.mk
      - sed -i -e 's#uses-sdk.*#uses-sdk android:minSdkVersion="9" android:maxSdkVersion="15"
        android:targetSdkVersion="15"/>#' AndroidManifest.xml
    build: NDK_BASE=$$NDK$$ make -C external APP_ABI=armeabi PIEFLAGS=""
    buildjni:
      - yes
    ndk: r12b

  - versionName: 15.0.1-RC-3-noPIE
    versionCode: 15012302
    commit: 15.0.1-RC-3
    submodules: true
    patch:
      - nobridge.diff
    forceversion: true
    forcevercode: true
    rm:
      - libs/
      - external/superuser-commands/RootCommands-Demo
      - external/pluto/plugins/meek/assets/meek-client
      - external/pluto/plugins/obfs4/assets/obfs4proxy
      - res/raw/meek.mp3
      - res/raw/obfs4proxy.mp3
    prebuild:
      - echo 'target=android-17' >> external/superuser-commands/RootCommands-Library/project.properties
      - sed -i -e '/APP_ABI/ s/:=.*/:= x86/' jni/Application.mk
      - sed -i -e 's#uses-sdk.*#uses-sdk android:minSdkVersion="9" android:maxSdkVersion="15"
        android:targetSdkVersion="15"/>#' AndroidManifest.xml
    build: NDK_BASE=$$NDK$$ make -C external APP_ABI=x86 PIEFLAGS=""
    buildjni:
      - yes
    ndk: r12b

  - versionName: 15.0.1-RC-3-noPIE
    versionCode: 15012303
    commit: 15.0.1-RC-3
    submodules: true
    patch:
      - nobridge.diff
    forceversion: true
    forcevercode: true
    rm:
      - libs/
      - external/superuser-commands/RootCommands-Demo
      - external/pluto/plugins/meek/assets/meek-client
      - external/pluto/plugins/obfs4/assets/obfs4proxy
      - res/raw/meek.mp3
      - res/raw/obfs4proxy.mp3
    prebuild:
      - echo 'target=android-17' >> external/superuser-commands/RootCommands-Library/project.properties
      - sed -i -e '/APP_ABI/ s/:=.*/:= mips/' jni/Application.mk
      - sed -i -e 's#uses-sdk.*#uses-sdk android:minSdkVersion="9" android:maxSdkVersion="15"
        android:targetSdkVersion="15"/>#' AndroidManifest.xml
    build: NDK_BASE=$$NDK$$ make -C external APP_ABI=mips PIEFLAGS=""
    buildjni:
      - yes
    ndk: r12b

  - versionName: 15.0.1-RC-3-PIE
    versionCode: 15012311
    commit: 15.0.1-RC-3
    submodules: true
    forceversion: true
    forcevercode: true
    rm:
      - libs/
      - external/superuser-commands/RootCommands-Demo
      - external/pluto/plugins/meek/assets/meek-client
      - external/pluto/plugins/obfs4/assets/obfs4proxy
    prebuild:
      - echo 'target=android-17' >> external/superuser-commands/RootCommands-Library/project.properties
      - sed -i -e '/APP_ABI/ s/:=.*/:= armeabi armeabi-v7a/' jni/Application.mk
    build: NDK_BASE=$$NDK$$ make -C external APP_ABI=armeabi PIEFLAGS="-fPIE -pie"
    buildjni:
      - yes
    ndk: r12b

  - versionName: 15.0.1-RC-3-PIE
    versionCode: 15012312
    commit: 15.0.1-RC-3
    submodules: true
    patch:
      - nobridge.diff
    forceversion: true
    forcevercode: true
    rm:
      - libs/
      - external/superuser-commands/RootCommands-Demo
      - external/pluto/plugins/meek/assets/meek-client
      - external/pluto/plugins/obfs4/assets/obfs4proxy
      - res/raw/meek.mp3
      - res/raw/obfs4proxy.mp3
    prebuild:
      - echo 'target=android-17' >> external/superuser-commands/RootCommands-Library/project.properties
      - sed -i -e '/APP_ABI/ s/:=.*/:= x86/' jni/Application.mk
    build: NDK_BASE=$$NDK$$ make -C external APP_ABI=x86 PIEFLAGS="-fPIE -pie"
    buildjni:
      - yes
    ndk: r12b

  - versionName: 15.0.1-RC-3-PIE
    versionCode: 15012313
    commit: 15.0.1-RC-3
    submodules: true
    patch:
      - nobridge.diff
    forceversion: true
    forcevercode: true
    rm:
      - libs/
      - external/superuser-commands/RootCommands-Demo
      - external/pluto/plugins/meek/assets/meek-client
      - external/pluto/plugins/obfs4/assets/obfs4proxy
      - res/raw/meek.mp3
      - res/raw/obfs4proxy.mp3
    prebuild:
      - echo 'target=android-17' >> external/superuser-commands/RootCommands-Library/project.properties
      - sed -i -e '/APP_ABI/ s/:=.*/:= mips/' jni/Application.mk
    build: NDK_BASE=$$NDK$$ make -C external APP_ABI=mips PIEFLAGS="-fPIE -pie"
    buildjni:
      - yes
    ndk: r12b

  - versionName: 15.0.1-RC-3-PIE
    versionCode: 15012314
    commit: 15.0.1-RC-3
    submodules: true
    patch:
      - nobridge.diff
    forceversion: true
    forcevercode: true
    rm:
      - libs/
      - external/superuser-commands/RootCommands-Demo
      - external/pluto/plugins/meek/assets/meek-client
      - external/pluto/plugins/obfs4/assets/obfs4proxy
      - res/raw/meek.mp3
      - res/raw/obfs4proxy.mp3
    prebuild:
      - echo 'target=android-17' >> external/superuser-commands/RootCommands-Library/project.properties
      - sed -i -e '/APP_ABI/ s/:=.*/:= arm64-v8a/' jni/Application.mk
    build: NDK_BASE=$$NDK$$ make -C external APP_ABI=arm64-v8a PIEFLAGS="-fPIE -pie"
        NDK_PLATFORM_LEVEL=21 NDK_TOOLCHAIN_VERSION=4.9
    buildjni:
      - yes
    ndk: r12b

  - versionName: 15.0.1-RC-3-PIE
    versionCode: 15012315
    commit: 15.0.1-RC-3
    submodules: true
    patch:
      - nobridge.diff
    forceversion: true
    forcevercode: true
    rm:
      - libs/
      - external/superuser-commands/RootCommands-Demo
      - external/pluto/plugins/meek/assets/meek-client
      - external/pluto/plugins/obfs4/assets/obfs4proxy
      - res/raw/meek.mp3
      - res/raw/obfs4proxy.mp3
    prebuild:
      - echo 'target=android-17' >> external/superuser-commands/RootCommands-Library/project.properties
      - sed -i -e '/APP_ABI/ s/:=.*/:= x86_64/' jni/Application.mk
    build: NDK_BASE=$$NDK$$ make -C external APP_ABI=x86_64 PIEFLAGS="-fPIE -pie"
        NDK_PLATFORM_LEVEL=21 NDK_TOOLCHAIN_VERSION=4.9
    buildjni:
      - yes
    ndk: r12b

  - versionName: 15.0.1-RC-3-PIE
    versionCode: 15012316
    commit: 15.0.1-RC-3
    submodules: true
    patch:
      - nobridge.diff
    forceversion: true
    forcevercode: true
    rm:
      - libs/
      - external/superuser-commands/RootCommands-Demo
      - external/pluto/plugins/meek/assets/meek-client
      - external/pluto/plugins/obfs4/assets/obfs4proxy
      - res/raw/meek.mp3
      - res/raw/obfs4proxy.mp3
    prebuild:
      - echo 'target=android-17' >> external/superuser-commands/RootCommands-Library/project.properties
      - sed -i -e '/APP_ABI/ s/:=.*/:= mips64/' jni/Application.mk
    build: NDK_BASE=$$NDK$$ make -C external APP_ABI=mips64 PIEFLAGS="-fPIE -pie"
        NDK_PLATFORM_LEVEL=21 NDK_TOOLCHAIN_VERSION=4.9
    buildjni:
      - yes
    ndk: r12b

MaintainerNotes: |
    * meekclient & ofbs4proxy are prebuilt with PIE for arm archs only. Hence remove them for other archs & for non-PIE builds.
    * AUM will only build the default flavor.
    * Bump archive policy on each release to match all new builds + all build of the previous version (during RC builds, also add builds for last stable version)
    * Bump CV/CVC when all builds have finished and we have tested whats possible...

ArchivePolicy: 0 versions
AutoUpdateMode: None
UpdateCheckMode: Tags ^[^-]*$
CurrentVersion: 15.1.2
CurrentVersionCode: 15120000
